The return object of the KYC Review Update endpoint, which includes information about the given KYC Review such as status, trigger references, a list of KYC Requirements as well as a linik to the Hosted KYC.
Unique identifier for a KYC Review resource, generated by Wise.
Aggregated state of the underlying requirement set. Any of the states below could move into any other state.
Contains the URL and expiry of said URL the end customer needs to be directed to in order to go through Hosted KYC flow. link is returned only when status is WAITING_CUSTOMER_INPUT and Update redirect URL is called.
Timestamp marking the creation of the KYC Review.
Timestamp marking the last update of the KYC Review.
Timestamp by which the underlying requirement set needs to be verified to not block the customer. Only relevant if the status is PASSED_WITH_REQUIREMENTS.
URL where the user will be redirected at the end of the flow. Can contain query params and path fragments. It has to be a valid URL as per RFC 2396. Provided by the caller in the Update redirect URL call.
Nested list of KYC Requirement objects in [[Requirement]] format, where each inner list represents a combination of possible requirements to be provided. To fulfil the whole KYC Review, at least one item from each inner list should be provided.
For example, if the requirements are [[a, b], [c, d]] then it should be read as (a or b) and (c or d).
{ "id": "46e1a5c4-4a9b-4563-39d3-18174d3ac0f8", "status": "WAITING_CUSTOMER_INPUT", "link": { "value": "https://wise-sandbox.com/embedded-flows/verification?token=d7332edb-25bf-41af-a4e9-09f5efe39ded&checkId=3120073", "expiresAt": "2024-09-03T16:29:41.203225146" }, "createdAt": "2024-09-03T16:22:02.257725", "updatedAt": "2024-09-03T16:29:41.147522", "requiredBy": "2024-09-03T16:22:02.257725", "triggerReferences": [ { "type": "QUOTE", "triggerData": { … } } ], "redirectUrl": "https://example.com", "requirements": [ [ { … } ] ] }